#ifndef __SOUND_H
#define __SOUND_H
#include <fmod.hpp>
#include "Global_Singleton.h"

class Sound : public Global_Singleton<Sound>
{
public:
	enum Fx_Type
	{
		Fx_Start,
		Fx_Die,

		Fx_COUNT
	};

	Sound();
	~Sound();

	void Update(float delta_t);

	void Play(Fx_Type fx);

private:
	enum { Ambient_File_Count = 10 };

	FMOD::System *m_system;
	FMOD::Sound *m_fx_sounds[Fx_COUNT];
	FMOD::Sound *m_ambient_sounds[Ambient_File_Count];

	float m_sound_timer;
};

#endif
